# Overview

- Number of checkpoints: 169
- Number of configs: 169
- Number of papers: 42
  - ALGORITHM: 43
- Tasks:
  - image2image translation
  - video interpolation
  - unconditional gans
  - image super-resolution
  - internal learning
  - conditional gans
  - inpainting
  - video super-resolution
  - colorization
  - matting

For supported datasets, see [datasets overview](dataset_zoo/0_overview.md).

## AOT-GAN (TVCG'2021)

- Tasks: inpainting
- Number of checkpoints: 1
- Number of configs: 1
- Number of papers: 1
  - \[ALGORITHM\] Aggregated Contextual Transformations for High-Resolution Image Inpainting ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/aot_gan/README.md#citation))

## BasicVSR (CVPR'2021)

- Tasks: video super-resolution
- Number of checkpoints: 3
- Number of configs: 3
- Number of papers: 1
  - \[ALGORITHM\] Basicvsr: The Search for Essential Components in Video Super-Resolution and Beyond ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/basicvsr/README.md#citation))

## BasicVSR++ (CVPR'2022)

- Tasks: video super-resolution
- Number of checkpoints: 7
- Number of configs: 7
- Number of papers: 1
  - \[ALGORITHM\] Basicvsr++: Improving Video Super-Resolution With Enhanced Propagation and Alignment ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/basicvsr_pp/README.md#citation))

## BigGAN (ICLR'2019)

- Tasks: conditional gans
- Number of checkpoints: 7
- Number of configs: 6
- Number of papers: 1
  - \[ALGORITHM\] Large Scale {Gan ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/biggan/README.md#citation))

## CAIN (AAAI'2020)

- Tasks: video interpolation
- Number of checkpoints: 1
- Number of configs: 1
- Number of papers: 1
  - \[ALGORITHM\] Channel Attention Is All You Need for Video Frame Interpolation ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/cain/README.md#citation))

## CycleGAN: Unpaired Image-to-Image Translation Using Cycle-Consistent Adversarial Networks (ICCV'2017)

- Tasks: image2image translation
- Number of checkpoints: 6
- Number of configs: 6
- Number of papers: 1
  - \[ALGORITHM\] Unpaired Image-to-Image Translation Using Cycle-Consistent Adversarial Networks ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/cyclegan/README.md#citation))

## Unsupervised Representation Learning with Deep Convolutional Generative Adversarial Networks (ICLR'2016)

- Tasks: unconditional gans
- Number of checkpoints: 3
- Number of configs: 3
- Number of papers: 1
  - \[ALGORITHM\] Unsupervised Representation Learning With Deep Convolutional Generative Adversarial Networks ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/dcgan/README.md#citation))

## DeepFillv1 (CVPR'2018)

- Tasks: inpainting
- Number of checkpoints: 2
- Number of configs: 2
- Number of papers: 1
  - \[ALGORITHM\] Generative Image Inpainting With Contextual Attention ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/deepfillv1/README.md#citation))

## DeepFillv2 (CVPR'2019)

- Tasks: inpainting
- Number of checkpoints: 2
- Number of configs: 2
- Number of papers: 1
  - \[ALGORITHM\] Free-Form Image Inpainting With Gated Convolution ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/deepfillv2/README.md#citation))

## DIC (CVPR'2020)

- Tasks: image super-resolution
- Number of checkpoints: 2
- Number of configs: 2
- Number of papers: 1
  - \[ALGORITHM\] Deep Face Super-Resolution With Iterative Collaboration Between Attentive Recovery and Landmark Estimation ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/dic/README.md#citation))

## DIM (CVPR'2017)

- Tasks: matting
- Number of checkpoints: 3
- Number of configs: 3
- Number of papers: 1
  - \[ALGORITHM\] Deep Image Matting ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/dim/README.md#citation))

## EDSR (CVPR'2017)

- Tasks: image super-resolution
- Number of checkpoints: 3
- Number of configs: 3
- Number of papers: 1
  - \[ALGORITHM\] Enhanced Deep Residual Networks for Single Image Super-Resolution ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/edsr/README.md#citation))

## EDVR (CVPRW'2019)

- Tasks: video super-resolution
- Number of checkpoints: 4
- Number of configs: 4
- Number of papers: 1
  - \[ALGORITHM\] Edvr: Video Restoration With Enhanced Deformable Convolutional Networks ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/edvr/README.md#citation))

## ESRGAN (ECCVW'2018)

- Tasks: image super-resolution
- Number of checkpoints: 2
- Number of configs: 2
- Number of papers: 1
  - \[ALGORITHM\] Esrgan: Enhanced Super-Resolution Generative Adversarial Networks ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/esrgan/README.md#citation))

## FLAVR (arXiv'2020)

- Tasks: video interpolation
- Number of checkpoints: 1
- Number of configs: 1
- Number of papers: 1
  - \[ALGORITHM\] Flavr: Flow-Agnostic Video Representations for Fast Frame Interpolation ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/flavr/README.md#citation))

## GCA (AAAI'2020)

- Tasks: matting
- Number of checkpoints: 4
- Number of configs: 4
- Number of papers: 1
  - \[ALGORITHM\] Natural Image Matting via Guided Contextual Attention ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/gca/README.md#citation))

## GGAN (ArXiv'2017)

- Tasks: unconditional gans
- Number of checkpoints: 3
- Number of configs: 3
- Number of papers: 1
  - \[ALGORITHM\] Geometric Gan ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/ggan/README.md#citation))

## GLEAN (CVPR'2021)

- Tasks: image super-resolution
- Number of checkpoints: 4
- Number of configs: 7
- Number of papers: 1
  - \[ALGORITHM\] Glean: Generative Latent Bank for Large-Factor Image Super-Resolution ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/glean/README.md#citation))

## Global&Local (ToG'2017)

- Tasks: inpainting
- Number of checkpoints: 2
- Number of configs: 2
- Number of papers: 1
  - \[ALGORITHM\] Globally and Locally Consistent Image Completion ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/global_local/README.md#citation))

## IconVSR (CVPR'2021)

- Tasks: video super-resolution
- Number of checkpoints: 3
- Number of configs: 3
- Number of papers: 1
  - \[ALGORITHM\] Basicvsr: The Search for Essential Components in Video Super-Resolution and Beyond ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/iconvsr/README.md#citation))

## IndexNet (ICCV'2019)

- Tasks: matting
- Number of checkpoints: 2
- Number of configs: 2
- Number of papers: 1
  - \[ALGORITHM\] Indices Matter: Learning to Index for Deep Image Matting ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/indexnet/README.md#citation))

## LIIF (CVPR'2021)

- Tasks: image super-resolution
- Number of checkpoints: 2
- Number of configs: 2
- Number of papers: 1
  - \[ALGORITHM\] Learning Continuous Image Representation With Local Implicit Image Function ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/liif/README.md#citation))

## Instance-aware Image Colorization (CVPR'2020)

- Tasks: colorization
- Number of checkpoints: 1
- Number of configs: 1
- Number of papers: 1
  - \[ALGORITHM\] Instance-Aware Image Colorization ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/inst_colorization/README.md#quick-start))

## LSGAN (ICCV'2017)

- Tasks: unconditional gans
- Number of checkpoints: 4
- Number of configs: 4
- Number of papers: 1
  - \[ALGORITHM\] Least Squares Generative Adversarial Networks ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/lsgan/README.md#citation))

## PConv (ECCV'2018)

- Tasks: inpainting
- Number of checkpoints: 2
- Number of configs: 4
- Number of papers: 1
  - \[ALGORITHM\] Image Inpainting for Irregular Holes Using Partial Convolutions ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/partial_conv/README.md#citation))

## PGGAN (ICLR'2018)

- Tasks: unconditional gans
- Number of checkpoints: 3
- Number of configs: 3
- Number of papers: 1
  - \[ALGORITHM\] Progressive Growing of Gans for Improved Quality, Stability, and Variation ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/pggan/README.md#citation))

## Pix2Pix (CVPR'2017)

- Tasks: image2image translation
- Number of checkpoints: 4
- Number of configs: 4
- Number of papers: 1
  - \[ALGORITHM\] Image-to-Image Translation With Conditional Adversarial Networks ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/pix2pix/README.md#citation))

## Positional Encoding in GANs

- Number of checkpoints: 21
- Number of configs: 21
- Number of papers: 1
  - \[ALGORITHM\] Positional Encoding as Spatial Inductive Bias in Gans ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/positional_encoding_in_gans/README.md#citation))

## RDN (CVPR'2018)

- Tasks: image super-resolution
- Number of checkpoints: 3
- Number of configs: 3
- Number of papers: 1
  - \[ALGORITHM\] Residual Dense Network for Image Super-Resolution ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/rdn/README.md#citation))

## RealBasicVSR (CVPR'2022)

- Tasks: video super-resolution
- Number of checkpoints: 2
- Number of configs: 2
- Number of papers: 1
  - \[ALGORITHM\] Realbasicvsr: Investigating Tradeoffs in Real-World Video Super-Resolution ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/real_basicvsr/README.md#citation))

## Real-ESRGAN (ICCVW'2021)

- Tasks: image super-resolution
- Number of checkpoints: 2
- Number of configs: 2
- Number of papers: 1
  - \[ALGORITHM\] Real-Esrgan: Training Real-World Blind Super-Resolution With Pure Synthetic Data ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/real_esrgan/README.md#citation))

## SAGAN (ICML'2019)

- Tasks: conditional gans
- Number of checkpoints: 9
- Number of configs: 6
- Number of papers: 1
  - \[ALGORITHM\] Self-Attention Generative Adversarial Networks ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/sagan/README.md#citation))

## SinGAN (ICCV'2019)

- Tasks: internal learning
- Number of checkpoints: 3
- Number of configs: 3
- Number of papers: 1
  - \[ALGORITHM\] Singan: Learning a Generative Model From a Single Natural Image ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/singan/README.md#citation))

## SNGAN (ICLR'2018)

- Tasks: conditional gans
- Number of checkpoints: 10
- Number of configs: 6
- Number of papers: 1
  - \[ALGORITHM\] Spectral Normalization for Generative Adversarial Networks ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/sngan_proj/README.md#citation))

## SRCNN (TPAMI'2015)

- Tasks: image super-resolution
- Number of checkpoints: 1
- Number of configs: 1
- Number of papers: 1
  - \[ALGORITHM\] Image Super-Resolution Using Deep Convolutional Networks ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/srcnn/README.md#citation))

## SRGAN (CVPR'2016)

- Tasks: image super-resolution
- Number of checkpoints: 2
- Number of configs: 2
- Number of papers: 1
  - \[ALGORITHM\] Photo-Realistic Single Image Super-Resolution Using a Generative Adversarial Network ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/srgan_resnet/README.md#citation))

## StyleGANv1 (CVPR'2019)

- Tasks: unconditional gans
- Number of checkpoints: 2
- Number of configs: 2
- Number of papers: 1
  - \[ALGORITHM\] A Style-Based Generator Architecture for Generative Adversarial Networks ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/styleganv1/README.md#citation))

## StyleGANv2 (CVPR'2020)

- Tasks: unconditional gans
- Number of checkpoints: 12
- Number of configs: 12
- Number of papers: 1
  - \[ALGORITHM\] Analyzing and Improving the Image Quality of Stylegan ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/styleganv2/README.md#citation))

## StyleGANv3 (NeurIPS'2021)

- Tasks: unconditional gans
- Number of checkpoints: 9
- Number of configs: 10
- Number of papers: 1
  - \[ALGORITHM\] Alias-Free Generative Adversarial Networks ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/styleganv3/README.md#citation))

## TDAN (CVPR'2020)

- Tasks: video super-resolution
- Number of checkpoints: 2
- Number of configs: 4
- Number of papers: 1
  - \[ALGORITHM\] Tdan: Temporally-Deformable Alignment Network for Video Super-Resolution ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/tdan/README.md#citation))

## TOFlow (IJCV'2019)

- Tasks: video interpolation,video super-resolution
- Number of checkpoints: 6
- Number of configs: 6
- Number of papers: 1
  - \[ALGORITHM\] Video Enhancement With Task-Oriented Flow ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/tof/README.md#citation))

## TTSR (CVPR'2020)

- Tasks: image super-resolution
- Number of checkpoints: 2
- Number of configs: 2
- Number of papers: 1
  - \[ALGORITHM\] Learning Texture Transformer Network for Image Super-Resolution ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/ttsr/README.md#citation))

## WGAN-GP (NeurIPS'2017)

- Tasks: unconditional gans
- Number of checkpoints: 2
- Number of configs: 2
- Number of papers: 1
  - \[ALGORITHM\] Improved Training of Wasserstein Gans ([⇨](https://github.com/open-mmlab/mmediting/blob/1.x/configs/wgan-gp/README.md#citation))
